#define SystemSevenOrLater 1
#include "types.r"
#include "BalloonTypes.r"


/*\
|*| ---------------------------------------------------------------------
|*| StandardGetFile 'DITL' with added Select button
|*| ---------------------------------------------------------------------
\*/
resource 'DITL' (129, purgeable)
{
	{
	/* the standard GetFile dialog */
		/*  1 */ {157, 253, 177, 333}, Button     { enabled, "Open" },
		/*  2 */ {126, 253, 146, 333}, Button     { enabled, "Cancel" },
		/*  3 */ {  0,   0,   0,   0}, HelpItem   { disabled, HMScanhdlg { -6043 } },
		/*  4 */ { 30, 236,  46, 338}, UserItem   { enabled },
		/*  5 */ { 54, 253,  74, 333}, Button     { enabled, "Eject" },
		/*  6 */ { 82, 253, 102, 333}, Button     { enabled, "Desktop" },
		/*  7 */ { 51,  13, 181, 231}, UserItem   { enabled },
		/*  8 */ { 28,  13,  47, 231}, UserItem   { enabled },
		/*  9 */ {113, 252, 114, 334}, Picture    { disabled, 11 },
		
	/* my additions */
		/* 10 */ {  6,  15,  23, 128}, StaticText { disabled, "Select a Folder:" },
		/* 11 */ {  0,   0,   0,   0}, StaticText { disabled, "" },		/* dummy item */
		/* 12 */ {  0,   0,   0,   0}, HelpItem   { disabled, HMScanhdlg { 129 } },
		/* 13 */ {189,  24, 209, 211}, Button     { enabled, "Select" }
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| StandardPutFile 'DLOG' with extra room Append button
|*| ---------------------------------------------------------------------
\*/
resource 'DLOG' (129, purgeable)
	{
		{0, 0, 215, 344},
		dBoxProc, invisible, noGoAway,
		0, 129, ""
	};


/*\
|*| ---------------------------------------------------------------------
|*| 'hdlg' for Balloon Help for Append button
|*| ---------------------------------------------------------------------
\*/
resource 'hdlg' (129, purgeable)
{
	2, 12, 0, 0, 0,
	HMSkipItem { },
	{	/* array HDialogArray: 1 elements */
		/* [ 1] */ HMStringResItem { {0, 0}, {0, 0, 0, 0}, 129, 1, 129, 2, 129, 0, 129, 0 },
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| Balloon Help strings for Append button
|*| ---------------------------------------------------------------------
\*/
resource 'STR#' (129, purgeable)
{
	{	
		/* [1] */
		"To open the selected folder or volume, C"
		"lick this button.",
		/* [2] */
		"To open the selected folder or volume, C"
		"lick this button.  The button is not ava"
		"ilable because no folder or volume is se"
		"ted.",
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| Strings for Select button
|*| ---------------------------------------------------------------------
\*/
resource 'STR ' (130) {
	"Select"
};

resource 'STR ' (131) {
	"Desktop"
};


/*\
|*| ---------------------------------------------------------------------
|*| 'DITL' for the alert to output the results
|*| ---------------------------------------------------------------------
\*/
resource 'DITL' (128)
{
	{	
		{74, 270, 94, 350}, Button { enabled, "Quit" },
		{74, 175, 94, 255}, Button { enabled, "Again" },
		{11,  77, 64, 329}, StaticText { disabled, "Good: ^0\nReplace: ^1\nName: ^2" }
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| 'ALRT' for the alert to output the results
|*| ---------------------------------------------------------------------
\*/
resource 'ALRT' (128)
{
	{180, 100, 286, 468},
	128,
	{	
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

